#!/bin/sh

set -xe

# These two needs tweaking on new "build"-systems
BSDSRCDIR=/usr/src
BSDOBJDIR=/d/openbsd/flash-obj
DESTDIR=/d/openbsd/flash-live

_MINI=-mini

RELEASEDIR=/tmp/release${_MINI}
MAKECONF=/etc/mk${_MINI}.conf
SUDO=sudo

export DESTDIR BSDSRCDIR BSDOBJDIR RELEASEDIR MAKECONF SUDO

cd ${BSDSRCDIR}
mkdir -p ${BSDOBJDIR} ${DESTDIR}

if [ "x$1" != "xbuilt" ] ; then
	rm -rf ${DESTDIR}/*
	make -k cleandir
	rm -rf ${BSDOBJDIR}/*
	
	make obj
	cd etc
	make distrib-dirs
	cd ..
	
	make build
fi

# Not required as make build already installed the stuff for us.
##cd etc
##make release
##cd ..

# isakmpd is huge when statically linked, make and install a dynamic one
if [ ! -z "$_MINI" ] ; then
	cd sbin/isakmpd
	make clean
	make LDSTATIC=""
	strip obj/isakmpd
	${SUDO} install -m 0755 -o root -g bin obj/isakmpd \
		${DESTDIR}/usr/sbin/isakmpd.dynamic
fi
